/*
	This file contains the definitions of the interrupt handlers for K20F12 MCU family.
	The file is provided by Sysprogs under the BSD license.
*/


extern void *_estack;
#define NULL ((void *)0)

void Reset_Handler();
void Default_Handler();

void NMI_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Hard_Fault_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Mem_Manage_Fault_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Bus_Fault_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Usage_Fault_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SVCall_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DebugMonitor_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PendableSrvReq_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SysTick_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA0_DMA16_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA1_DMA17_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA2_DMA18_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA3_DMA19_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA4_DMA20_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA5_DMA21_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA6_DMA22_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA7_DMA23_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA8_DMA24_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA9_DMA25_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA10_DMA26_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA11_DMA27_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA12_DMA28_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA13_DMA29_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA14_DMA30_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA15_DMA31_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DMA_Error_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void MCM_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void FTFE_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Read_Collision_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void LVD_LVW_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void LLW_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void Watchdog_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void RNG_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2C0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2C1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SPI0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SPI1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SPI2_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_ORed_Message_buffer_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_Bus_Off_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_Error_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_Tx_Warning_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_Rx_Warning_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN0_Wake_Up_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2S0_Tx_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2S0_Rx_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN1_ORed_Message_buffer_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN1_Bus_Off_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN1_Error_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN1_Tx_Warning_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN1_Rx_Warning_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CAN1_Wake_Up_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART0_LON_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART0_RX_TX_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART0_ERR_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART1_RX_TX_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART1_ERR_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART2_RX_TX_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART2_ERR_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART3_RX_TX_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART3_ERR_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART4_RX_TX_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART4_ERR_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART5_RX_TX_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void UART5_ERR_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void ADC0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void ADC1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CMP0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CMP1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CMP2_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void FTM0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void FTM1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void FTM2_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CMT_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void RTC_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void RTC_Seconds_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PIT0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PIT1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PIT2_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PIT3_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PDB0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void USB0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void USBDCD_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SDHC_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DAC0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void DAC1_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void TSI0_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void MCG_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void LPTimer_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTA_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTB_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTC_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTD_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTE_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void PORTF_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void SWI_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void NFC_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void USBHS_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void CMP3_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void FTM3_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void ADC2_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void ADC3_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2S1_Tx_Handler() __attribute__ ((weak, alias ("Default_Handler")));
void I2S1_Rx_Handler() __attribute__ ((weak, alias ("Default_Handler")));

void * __vect_table[0x7a] __attribute__ ((section (".vectortable"))) = 
{
	&_estack,
	&Reset_Handler,
	&NMI_Handler,
	&Hard_Fault_Handler,
	&Mem_Manage_Fault_Handler,
	&Bus_Fault_Handler,
	&Usage_Fault_Handler,
	NULL,
	NULL,
	NULL,
	NULL,
	&SVCall_Handler,
	&DebugMonitor_Handler,
	NULL,
	&PendableSrvReq_Handler,
	&SysTick_Handler,
	&DMA0_DMA16_Handler,
	&DMA1_DMA17_Handler,
	&DMA2_DMA18_Handler,
	&DMA3_DMA19_Handler,
	&DMA4_DMA20_Handler,
	&DMA5_DMA21_Handler,
	&DMA6_DMA22_Handler,
	&DMA7_DMA23_Handler,
	&DMA8_DMA24_Handler,
	&DMA9_DMA25_Handler,
	&DMA10_DMA26_Handler,
	&DMA11_DMA27_Handler,
	&DMA12_DMA28_Handler,
	&DMA13_DMA29_Handler,
	&DMA14_DMA30_Handler,
	&DMA15_DMA31_Handler,
	&DMA_Error_Handler,
	&MCM_Handler,
	&FTFE_Handler,
	&Read_Collision_Handler,
	&LVD_LVW_Handler,
	&LLW_Handler,
	&Watchdog_Handler,
	&RNG_Handler,
	&I2C0_Handler,
	&I2C1_Handler,
	&SPI0_Handler,
	&SPI1_Handler,
	&SPI2_Handler,
	&CAN0_ORed_Message_buffer_Handler,
	&CAN0_Bus_Off_Handler,
	&CAN0_Error_Handler,
	&CAN0_Tx_Warning_Handler,
	&CAN0_Rx_Warning_Handler,
	&CAN0_Wake_Up_Handler,
	&I2S0_Tx_Handler,
	&I2S0_Rx_Handler,
	&CAN1_ORed_Message_buffer_Handler,
	&CAN1_Bus_Off_Handler,
	&CAN1_Error_Handler,
	&CAN1_Tx_Warning_Handler,
	&CAN1_Rx_Warning_Handler,
	&CAN1_Wake_Up_Handler,
	NULL,
	&UART0_LON_Handler,
	&UART0_RX_TX_Handler,
	&UART0_ERR_Handler,
	&UART1_RX_TX_Handler,
	&UART1_ERR_Handler,
	&UART2_RX_TX_Handler,
	&UART2_ERR_Handler,
	&UART3_RX_TX_Handler,
	&UART3_ERR_Handler,
	&UART4_RX_TX_Handler,
	&UART4_ERR_Handler,
	&UART5_RX_TX_Handler,
	&UART5_ERR_Handler,
	&ADC0_Handler,
	&ADC1_Handler,
	&CMP0_Handler,
	&CMP1_Handler,
	&CMP2_Handler,
	&FTM0_Handler,
	&FTM1_Handler,
	&FTM2_Handler,
	&CMT_Handler,
	&RTC_Handler,
	&RTC_Seconds_Handler,
	&PIT0_Handler,
	&PIT1_Handler,
	&PIT2_Handler,
	&PIT3_Handler,
	&PDB0_Handler,
	&USB0_Handler,
	&USBDCD_Handler,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	&SDHC_Handler,
	&DAC0_Handler,
	&DAC1_Handler,
	&TSI0_Handler,
	&MCG_Handler,
	&LPTimer_Handler,
	NULL,
	&PORTA_Handler,
	&PORTB_Handler,
	&PORTC_Handler,
	&PORTD_Handler,
	&PORTE_Handler,
	&PORTF_Handler,
	NULL,
	&SWI_Handler,
	&NFC_Handler,
	&USBHS_Handler,
	NULL,
	&CMP3_Handler,
	NULL,
	NULL,
	&FTM3_Handler,
	&ADC2_Handler,
	&ADC3_Handler,
	&I2S1_Tx_Handler,
	&I2S1_Rx_Handler
};

void Default_Handler()
{
	asm("BKPT 255");
}
