#include "mk30d10.h"

extern void *__vect_table[]; //Defined in vectors_K30D10.c

void __attribute__ ((weak)) __init_hardware(void)
{
	//This function provides the MINIMAL hardware initialization required to run your firmware.
	//It DOES NOT setup the clock generator!
	//Please use Freescale Processor Expert to generate a complete __init_hardware() function for
	//your hardware and put it into one of your source files inside your project.
	//The new function will override this 'weak' version.
	
	SCB_VTOR = (uint32_t)(&__vect_table);   //Initialize vector table pointer
	WDOG_UNLOCK = WDOG_UNLOCK_WDOGUNLOCK(0xC520);
	WDOG_UNLOCK = WDOG_UNLOCK_WDOGUNLOCK(0xD928);
	WDOG_STCTRLH = 0;
}
